# Created by pyp2rpm-3.3.1
%global pypi_name port-for

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 1
Summary:        Utility that helps with local TCP ports management
Group:          Development/Python
License:        MIT
URL:            https://github.com/kmike/port-for/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo

%package -n     python3-%{pypi_name}
Summary:        Utility that helps with local TCP ports management
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
port-for port-for is a command-line utility and a python library that helps
with local TCP ports management.It can find an unused TCP localhost port and
remember the association:: $ sudo port-for foo


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files port_for

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/port-for



%changelog
* Wed Sep 07 2022 neoclust <neoclust> 0.6.2-1.mga9
+ Revision: 1885120
- New version  0.6.2

* Wed Mar 23 2022 umeabot <umeabot> 0.6.1-3.mga9
+ Revision: 1822269
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 0.6.1-2.mga9
+ Revision: 1772921
- rebuild for python3.10

* Tue Aug 31 2021 wally <wally> 0.6.1-1.mga9
+ Revision: 1743765
- new version 0.6.1

* Mon Mar 22 2021 daviddavid <daviddavid> 0.4-6.mga9
+ Revision: 1707890
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4-5.mga8
+ Revision: 1534197
- Mageia 8 Mass Rebuild

* Fri Sep 27 2019 daviddavid <daviddavid> 0.4-4.mga8
+ Revision: 1447464
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.4-3.mga7
+ Revision: 1351262
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4-2.mga7
+ Revision: 1289719
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.4-1.mga7
+ Revision: 1224616
- imported package python-port-for

